Bug 124272 - Nautilus shows file modification/access times with an offset when located on a Samba share
Summary: Nautilus shows file modification/access times with an offset when located on ...
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-25 12:27 UTC by Robert Marcano
Modified: 2014-08-31 23:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 21:05:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Marcano 2004-05-25 12:27:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Epiphany/1.2.4

Description of problem:
System setup:
  Localtime: VET (this time is equivalent to GMT-4)

When using Nautilus to browse a samba share, all file access and
modification times are show with an incorrect value, that is equal to
the real value - 4 (this is related to GMT-4). when using smbclient
program all files timestamps are shown correctly.

Trying to identify the problem I added a few "printf" lines to the
gnome-vfs smb module and apparently the library "libsmbclient"
provided by samba-client is returning in the "stat" structure the
times on localtime and not on GMT, this is generating the repeated
substraction of 4 hours again when the time is displayed by Nautilus

Version-Release number of selected component (if applicable):
samba-client-3.0.3-5

How reproducible:
Always

Steps to Reproduce:
1. Open a samba share woth Nautilus
2. show the properties of any file on the share
    

Actual Results:  access and modification times are show with 4 hours
less than the real value (the localtime is VET=GMT-4)

Expected Results:  access and modification times must display on localtime

Additional info:

Comment 1 Radek Hladik 2004-05-29 14:05:00 UTC
I can commit the same behavour. Mounts mounted with no nautilius
running are ok, others makes all accessing processes stop responding.

Comment 2 Matthew Miller 2005-04-26 16:22:47 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 3 Robert Marcano 2006-09-25 21:05:25 UTC
Old bug fixed in recent versions of Fedora, confirmed on FC5


Note You need to log in before you can comment on or make changes to this bug.